Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockWindow.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockWindow.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockWindow.cs	(revision 4068)
@@ -1,243 +1,194 @@
-using System;
+using System.ComponentModel;
+using System.Drawing;
 using System.Windows.Forms;
-using System.Drawing;
-using System.Runtime.InteropServices;
-using System.ComponentModel;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	[ToolboxItem(false)]
-	public partial class DockWindow : Panel, INestedPanesContainer, ISplitterDragSource
-	{
-		private DockPanel m_dockPanel;
-		private DockState m_dockState;
-		private SplitterControl m_splitter;
-		private NestedPaneCollection m_nestedPanes;
+namespace WeifenLuo.WinFormsUI.Docking {
+  [ToolboxItem(false)]
+  public partial class DockWindow : Panel, INestedPanesContainer, ISplitterDragSource {
+    private DockPanel m_dockPanel;
+    private DockState m_dockState;
+    private SplitterControl m_splitter;
+    private NestedPaneCollection m_nestedPanes;
 
-		internal DockWindow(DockPanel dockPanel, DockState dockState)
-		{
-			m_nestedPanes = new NestedPaneCollection(this);
-			m_dockPanel = dockPanel;
-			m_dockState = dockState;
-			Visible = false;
+    internal DockWindow(DockPanel dockPanel, DockState dockState) {
+      m_nestedPanes = new NestedPaneCollection(this);
+      m_dockPanel = dockPanel;
+      m_dockState = dockState;
+      Visible = false;
 
-			SuspendLayout();
+      SuspendLayout();
 
-			if (DockState == DockState.DockLeft || DockState == DockState.DockRight ||
-				DockState == DockState.DockTop || DockState == DockState.DockBottom)
-			{
-				m_splitter = new SplitterControl();
-				Controls.Add(m_splitter);
-			}
+      if (DockState == DockState.DockLeft || DockState == DockState.DockRight ||
+        DockState == DockState.DockTop || DockState == DockState.DockBottom) {
+        m_splitter = new SplitterControl();
+        Controls.Add(m_splitter);
+      }
 
-			if (DockState == DockState.DockLeft)
-			{
-				Dock = DockStyle.Left;
-				m_splitter.Dock = DockStyle.Right;
-			}
-			else if (DockState == DockState.DockRight)
-			{
-				Dock = DockStyle.Right;
-				m_splitter.Dock = DockStyle.Left;
-			}
-			else if (DockState == DockState.DockTop)
-			{
-				Dock = DockStyle.Top;
-				m_splitter.Dock = DockStyle.Bottom;
-			}
-			else if (DockState == DockState.DockBottom)
-			{
-				Dock = DockStyle.Bottom;
-				m_splitter.Dock = DockStyle.Top;
-			}
-			else if (DockState == DockState.Document)
-			{
-				Dock = DockStyle.Fill;
-			}
+      if (DockState == DockState.DockLeft) {
+        Dock = DockStyle.Left;
+        m_splitter.Dock = DockStyle.Right;
+      } else if (DockState == DockState.DockRight) {
+        Dock = DockStyle.Right;
+        m_splitter.Dock = DockStyle.Left;
+      } else if (DockState == DockState.DockTop) {
+        Dock = DockStyle.Top;
+        m_splitter.Dock = DockStyle.Bottom;
+      } else if (DockState == DockState.DockBottom) {
+        Dock = DockStyle.Bottom;
+        m_splitter.Dock = DockStyle.Top;
+      } else if (DockState == DockState.Document) {
+        Dock = DockStyle.Fill;
+      }
 
-			ResumeLayout();
-		}
+      ResumeLayout();
+    }
 
-		public VisibleNestedPaneCollection VisibleNestedPanes
-		{
-			get	{	return NestedPanes.VisibleNestedPanes;	}
-		}
+    public VisibleNestedPaneCollection VisibleNestedPanes {
+      get { return NestedPanes.VisibleNestedPanes; }
+    }
 
-		public NestedPaneCollection NestedPanes
-		{
-			get	{	return m_nestedPanes;	}
-		}
+    public NestedPaneCollection NestedPanes {
+      get { return m_nestedPanes; }
+    }
 
-		public DockPanel DockPanel
-		{
-			get	{	return m_dockPanel;	}
-		}
+    public DockPanel DockPanel {
+      get { return m_dockPanel; }
+    }
 
-		public DockState DockState
-		{
-			get	{	return m_dockState;	}
-		}
+    public DockState DockState {
+      get { return m_dockState; }
+    }
 
-		public bool IsFloat
-		{
-			get	{	return DockState == DockState.Float;	}
-		}
+    public bool IsFloat {
+      get { return DockState == DockState.Float; }
+    }
 
-		internal DockPane DefaultPane
-		{
-			get	{	return VisibleNestedPanes.Count == 0 ? null : VisibleNestedPanes[0];	}
-		}
+    internal DockPane DefaultPane {
+      get { return VisibleNestedPanes.Count == 0 ? null : VisibleNestedPanes[0]; }
+    }
 
-		public virtual Rectangle DisplayingRectangle
-		{
-			get
-			{
-				Rectangle rect = ClientRectangle;
-				// if DockWindow is document, exclude the border
-				if (DockState == DockState.Document)
-				{
-					rect.X += 1;
-					rect.Y += 1;
-					rect.Width -= 2;
-					rect.Height -= 2;
-				}
-				// exclude the splitter
-				else if (DockState == DockState.DockLeft)
-					rect.Width -= Measures.SplitterSize;
-				else if (DockState == DockState.DockRight)
-				{
-					rect.X += Measures.SplitterSize;
-					rect.Width -= Measures.SplitterSize;
-				}
-				else if (DockState == DockState.DockTop)
-					rect.Height -= Measures.SplitterSize;
-				else if (DockState == DockState.DockBottom)
-				{
-					rect.Y += Measures.SplitterSize;
-					rect.Height -= Measures.SplitterSize;
-				}
-
-				return rect;
-			}
-		}
-
-		protected override void OnPaint(PaintEventArgs e)
-		{
-			// if DockWindow is document, draw the border
-            if (DockState == DockState.Document)
-                e.Graphics.DrawRectangle(SystemPens.ControlDark, ClientRectangle.X, ClientRectangle.Y, ClientRectangle.Width - 1, ClientRectangle.Height - 1);
-
-			base.OnPaint(e);
-		}
-
-		protected override void OnLayout(LayoutEventArgs levent)
-		{
-			VisibleNestedPanes.Refresh();
-			if (VisibleNestedPanes.Count == 0)
-			{
-                if (Visible)
-                    Visible = false;
-			}
-			else if (!Visible)
-			{
-				Visible = true;
-				VisibleNestedPanes.Refresh();
-			}
-
-			base.OnLayout (levent);
-		}
-
-        #region ISplitterDragSource Members
-
-        void ISplitterDragSource.BeginDrag(Rectangle rectSplitter)
-        {
+    public virtual Rectangle DisplayingRectangle {
+      get {
+        Rectangle rect = ClientRectangle;
+        // if DockWindow is document, exclude the border
+        if (DockState == DockState.Document) {
+          rect.X += 1;
+          rect.Y += 1;
+          rect.Width -= 2;
+          rect.Height -= 2;
+        }
+          // exclude the splitter
+        else if (DockState == DockState.DockLeft)
+          rect.Width -= Measures.SplitterSize;
+        else if (DockState == DockState.DockRight) {
+          rect.X += Measures.SplitterSize;
+          rect.Width -= Measures.SplitterSize;
+        } else if (DockState == DockState.DockTop)
+          rect.Height -= Measures.SplitterSize;
+        else if (DockState == DockState.DockBottom) {
+          rect.Y += Measures.SplitterSize;
+          rect.Height -= Measures.SplitterSize;
         }
 
-        void ISplitterDragSource.EndDrag()
-        {
+        return rect;
+      }
+    }
+
+    protected override void OnPaint(PaintEventArgs e) {
+      // if DockWindow is document, draw the border
+      if (DockState == DockState.Document)
+        e.Graphics.DrawRectangle(SystemPens.ControlDark, ClientRectangle.X, ClientRectangle.Y, ClientRectangle.Width - 1, ClientRectangle.Height - 1);
+
+      base.OnPaint(e);
+    }
+
+    protected override void OnLayout(LayoutEventArgs levent) {
+      VisibleNestedPanes.Refresh();
+      if (VisibleNestedPanes.Count == 0) {
+        if (Visible)
+          Visible = false;
+      } else if (!Visible) {
+        Visible = true;
+        VisibleNestedPanes.Refresh();
+      }
+
+      base.OnLayout(levent);
+    }
+
+    #region ISplitterDragSource Members
+
+    void ISplitterDragSource.BeginDrag(Rectangle rectSplitter) {
+    }
+
+    void ISplitterDragSource.EndDrag() {
+    }
+
+    bool ISplitterDragSource.IsVertical {
+      get { return (DockState == DockState.DockLeft || DockState == DockState.DockRight); }
+    }
+
+    Rectangle ISplitterDragSource.DragLimitBounds {
+      get {
+        Rectangle rectLimit = DockPanel.DockArea;
+        Point location;
+        if ((Control.ModifierKeys & Keys.Shift) == 0)
+          location = Location;
+        else
+          location = DockPanel.DockArea.Location;
+
+        if (((ISplitterDragSource)this).IsVertical) {
+          rectLimit.X += MeasurePane.MinSize;
+          rectLimit.Width -= 2 * MeasurePane.MinSize;
+          rectLimit.Y = location.Y;
+          if ((Control.ModifierKeys & Keys.Shift) == 0)
+            rectLimit.Height = Height;
+        } else {
+          rectLimit.Y += MeasurePane.MinSize;
+          rectLimit.Height -= 2 * MeasurePane.MinSize;
+          rectLimit.X = location.X;
+          if ((Control.ModifierKeys & Keys.Shift) == 0)
+            rectLimit.Width = Width;
         }
 
-        bool ISplitterDragSource.IsVertical
-        {
-            get { return (DockState == DockState.DockLeft || DockState == DockState.DockRight); }
-        }
+        return DockPanel.RectangleToScreen(rectLimit);
+      }
+    }
 
-        Rectangle ISplitterDragSource.DragLimitBounds
-        {
-            get
-            {
-                Rectangle rectLimit = DockPanel.DockArea;
-                Point location;
-                if ((Control.ModifierKeys & Keys.Shift) == 0)
-                    location = Location;
-                else
-                    location = DockPanel.DockArea.Location;
+    void ISplitterDragSource.MoveSplitter(int offset) {
+      if ((Control.ModifierKeys & Keys.Shift) != 0)
+        SendToBack();
 
-                if (((ISplitterDragSource)this).IsVertical)
-                {
-                    rectLimit.X += MeasurePane.MinSize;
-                    rectLimit.Width -= 2 * MeasurePane.MinSize;
-                    rectLimit.Y = location.Y;
-                    if ((Control.ModifierKeys & Keys.Shift) == 0)
-                        rectLimit.Height = Height;
-                }
-                else
-                {
-                    rectLimit.Y += MeasurePane.MinSize;
-                    rectLimit.Height -= 2 * MeasurePane.MinSize;
-                    rectLimit.X = location.X;
-                    if ((Control.ModifierKeys & Keys.Shift) == 0)
-                        rectLimit.Width = Width;
-                }
+      Rectangle rectDockArea = DockPanel.DockArea;
+      if (DockState == DockState.DockLeft && rectDockArea.Width > 0) {
+        if (DockPanel.DockLeftPortion > 1)
+          DockPanel.DockLeftPortion = Width + offset;
+        else
+          DockPanel.DockLeftPortion += ((double)offset) / (double)rectDockArea.Width;
+      } else if (DockState == DockState.DockRight && rectDockArea.Width > 0) {
+        if (DockPanel.DockRightPortion > 1)
+          DockPanel.DockRightPortion = Width - offset;
+        else
+          DockPanel.DockRightPortion -= ((double)offset) / (double)rectDockArea.Width;
+      } else if (DockState == DockState.DockBottom && rectDockArea.Height > 0) {
+        if (DockPanel.DockBottomPortion > 1)
+          DockPanel.DockBottomPortion = Height - offset;
+        else
+          DockPanel.DockBottomPortion -= ((double)offset) / (double)rectDockArea.Height;
+      } else if (DockState == DockState.DockTop && rectDockArea.Height > 0) {
+        if (DockPanel.DockTopPortion > 1)
+          DockPanel.DockTopPortion = Height + offset;
+        else
+          DockPanel.DockTopPortion += ((double)offset) / (double)rectDockArea.Height;
+      }
+    }
 
-                return DockPanel.RectangleToScreen(rectLimit);
-            }
-        }
+    #region IDragSource Members
 
-        void ISplitterDragSource.MoveSplitter(int offset)
-        {
-            if ((Control.ModifierKeys & Keys.Shift) != 0)
-                SendToBack();
+    Control IDragSource.DragControl {
+      get { return this; }
+    }
 
-            Rectangle rectDockArea = DockPanel.DockArea;
-            if (DockState == DockState.DockLeft && rectDockArea.Width > 0)
-            {
-                if (DockPanel.DockLeftPortion > 1)
-                    DockPanel.DockLeftPortion = Width + offset;
-                else
-                    DockPanel.DockLeftPortion += ((double)offset) / (double)rectDockArea.Width;
-            }
-            else if (DockState == DockState.DockRight && rectDockArea.Width > 0)
-            {
-                if (DockPanel.DockRightPortion > 1)
-                    DockPanel.DockRightPortion = Width - offset;
-                else
-                    DockPanel.DockRightPortion -= ((double)offset) / (double)rectDockArea.Width;
-            }
-            else if (DockState == DockState.DockBottom && rectDockArea.Height > 0)
-            {
-                if (DockPanel.DockBottomPortion > 1)
-                    DockPanel.DockBottomPortion = Height - offset;
-                else
-                    DockPanel.DockBottomPortion -= ((double)offset) / (double)rectDockArea.Height;
-            }
-            else if (DockState == DockState.DockTop && rectDockArea.Height > 0)
-            {
-                if (DockPanel.DockTopPortion > 1)
-                    DockPanel.DockTopPortion = Height + offset;
-                else
-                    DockPanel.DockTopPortion += ((double)offset) / (double)rectDockArea.Height;
-            }
-        }
-
-        #region IDragSource Members
-
-        Control IDragSource.DragControl
-        {
-            get { return this; }
-        }
-
-        #endregion
-        #endregion
-    }
+    #endregion
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DummyControl.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DummyControl.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DummyControl.cs	(revision 4068)
@@ -1,13 +1,9 @@
-using System;
 using System.Windows.Forms;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	internal class DummyControl : Control
-	{
-		public DummyControl()
-		{
-			SetStyle(ControlStyles.Selectable, false);
-		}
-	}
+namespace WeifenLuo.WinFormsUI.Docking {
+  internal class DummyControl : Control {
+    public DummyControl() {
+      SetStyle(ControlStyles.Selectable, false);
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Enums.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Enums.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Enums.cs	(revision 4068)
@@ -1,60 +1,53 @@
 using System;
 using System.ComponentModel;
-using System.Windows.Forms;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	[Flags]
-	[Serializable]
-	[Editor(typeof(DockAreasEditor), typeof(System.Drawing.Design.UITypeEditor))]
-	public enum DockAreas
-	{
-		Float = 1,
-		DockLeft = 2,
-		DockRight = 4,
-		DockTop = 8,
-		DockBottom = 16,
-		Document = 32
-	}
+namespace WeifenLuo.WinFormsUI.Docking {
+  [Flags]
+  [Serializable]
+  [Editor(typeof(DockAreasEditor), typeof(System.Drawing.Design.UITypeEditor))]
+  public enum DockAreas {
+    Float = 1,
+    DockLeft = 2,
+    DockRight = 4,
+    DockTop = 8,
+    DockBottom = 16,
+    Document = 32
+  }
 
-	public enum DockState
-	{
-		Unknown = 0,
-		Float = 1,
-		DockTopAutoHide = 2,
-		DockLeftAutoHide = 3,
-		DockBottomAutoHide = 4,
-		DockRightAutoHide = 5,
-		Document = 6,
-		DockTop = 7,
-		DockLeft = 8,
-		DockBottom = 9,
-		DockRight = 10,
-		Hidden = 11
-	}
+  public enum DockState {
+    Unknown = 0,
+    Float = 1,
+    DockTopAutoHide = 2,
+    DockLeftAutoHide = 3,
+    DockBottomAutoHide = 4,
+    DockRightAutoHide = 5,
+    Document = 6,
+    DockTop = 7,
+    DockLeft = 8,
+    DockBottom = 9,
+    DockRight = 10,
+    Hidden = 11
+  }
 
-	public enum DockAlignment
-	{
-		Left,
-		Right,
-		Top,
-		Bottom
-	}
+  public enum DockAlignment {
+    Left,
+    Right,
+    Top,
+    Bottom
+  }
 
-	public enum DocumentStyle
-	{
-		DockingMdi,
-		DockingWindow,
-		DockingSdi,
-		SystemMdi,
-	}
+  public enum DocumentStyle {
+    DockingMdi,
+    DockingWindow,
+    DockingSdi,
+    SystemMdi,
+  }
 
-    /// <summary>
-    /// The location to draw the DockPaneStrip for Document style windows.
-    /// </summary>
-    public enum DocumentTabStripLocation
-    {
-        Top,
-        Bottom
-    }
+  /// <summary>
+  /// The location to draw the DockPaneStrip for Document style windows.
+  /// </summary>
+  public enum DocumentTabStripLocation {
+    Top,
+    Bottom
+  }
 }
